#!/bin/bash

cd `dirname $0`

BINARY=bootloader_espruino_1v67_espruino_1r3.bin

bold=`tput bold`
normal=`tput sgr0`
boldred=${bold}$(tput setaf 1)
boldgreen=${bold}$(tput setaf 2)


function error() {
  echo "${boldred}----------------------------------------------------"
  echo "    $@"
  echo "----------------------------------------------------${normal}"
}
function goodnews() {
  echo "${boldgreen}----------------------------------------------------"
  echo "    $@"
  echo "----------------------------------------------------${normal}"
}

while true; do
  echo "${bold}----------------------------------------------------"
  echo "    1. Insert board into test harness"
  echo "    2. Press reset button on board"
  echo "    3. Press ENTER"
  echo "----------------------------------------------------${normal}"
  read # wait...
  # flash.../
  python stm32loader.py -ewv -b 460800 -p /dev/ttyUSB0 ${BINARY}


  if [ $? -eq 0 ]; then
    goodnews "FLASHING SUCEEDED"
  else
    error "FLASHING FAILED"
  fi

  echo
  echo
  echo
  echo
  echo
  
done
