#!/usr/bin/python
import time
import serial
import sys
import json

# Check we have the command prompt

def slow_write(port, filename):
  r = ""
  with open (filename, "r") as myfile:
    data=myfile.read()
  n=0
  for c in data:
    while port.inWaiting() > 0:
      rc = port.read(1)
#      sys.stderr.write(rc)
      r=r+rc 
#    sys.stderr.write(c)
    port.write(c)    
    n=n+1
    if n%4==0:
      time.sleep(0.01)
    if n%40==0: 
      sys.stderr.write('.')
      sys.stderr.flush()
    while port.inWaiting() > 0:
      r=r+port.read(1)    
  sys.stderr.write("\n")
  return r

BAUD=115200
tester = serial.Serial(
	port=sys.argv[1],
	baudrate=BAUD,
	parity=serial.PARITY_NONE,
	stopbits=serial.STOPBITS_ONE,
	bytesize=serial.EIGHTBITS,
	xonxoff=False, rtscts=False, dsrdtr=False,
)
if not tester.isOpen():
    tester.open()  
print("Writing to "+sys.argv[1])

while tester.inWaiting() > 0:
  rc = tester.read(1)

tester.write("\n")
state = 0
hasPrompt = False

time.sleep(0.1)

while tester.inWaiting() > 0:
  rc = tester.read(1)
  c = ord(rc)
  if state==0:
    if c==13: state=1
  elif state==1:
    if c==10: state=2
    else: state = 0
  elif state==2:
    if c==62: hasPrompt = True
    state = 0 # >
#  print(c,state)

tester.close()
tester = 0

if not hasPrompt: 
  print "No Prompt found"
  exit(1)
else:
  print "Found Prompt!"
